## mpc123 0.2.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # mpc123 - Musepack Console audio player
-# Copyright (C) 2005 Fernando Vezzosi <fvezzosi at masobit.net>
+# Copyright (C) 2005, 2006 Fernando Vezzosi <fvezzosi at masobit.net>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -29,18 +29,18 @@
 	CPPFLAGS += -DDEBUG=$(DEBUG)
 	CFLAGS += -ggdb
 	LDFLAGS += -rdynamic
+#	LDFLAGS += -lefence
+#	LDFLAGS += -lmudflap
 else
 	CFLAGS += -O2
 endif
 
-# guess patchlevel by the latest ChangeLog entry
 TARGET := mpc123
 MAJOR  := 0
-MINOR  := 1
-PATCH  := $(shell v=`awk 'BEGIN{FS="-"}/patch-([0-9]+)$$/{print $$NF;exit}' \
-	< ChangeLog` ; \
-	sed -rie 's/VERS_REV\s+[0-9]+$$/VERS_REV\t'$$v'/' mpc123.h; \
-	echo $$v)
+MINOR  := 2
+
+#POS := $(wildcard LOCALES/*/LC_MESSAGES/*.po)
+#MOS := $(POS:%.po=%.mo)
 
 # very rudimentary dependency checking
 DEPS := $(patsubst %.c, %.o, $(filter-out $(TARGET).c, $(wildcard *.c)))
@@ -49,13 +49,13 @@
 TAR_EXCLUDED += \\{arch} .arch-ids $(wildcard ++*) $(wildcard .?*)
 
 $(TARGET): $(DEPS) $(TARGET).c
-	@echo Building mpc123 version $(MAJOR).$(MINOR).$(PATCH) ...
+	@echo Building mpc123 version $(MAJOR).$(MINOR) ...
 	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $(DEPS) $(TARGET).c
 
 .PHONY: clean tarball
 
 clean:
-	$(RM) tags $(DEPS) $(TARGET)
+	$(RM) tags $(DEPS) $(TARGET) $(MOS)
 
 tags: $(wildcard *.[ch])
 	$(TAGSPRG) -R --exclude=\{arch} ./
@@ -63,3 +63,6 @@
 tarball: clean
 	cd ../ &&\
 	tar zcf ./mpc123-$$(date "+%Y%m%d").tar.gz $(foreach f, ${TAR_EXCLUDED}, --exclude=${f}) $${OLDPWD##*/}
+
+#$(MOS): $(POS)
+#	$(foreach po, $(POS), msgfmt $(po) -o $(po:%.po=%.mo);)
