## mpc123 0.2.4

=== Makefile ===
--- 
+++ 
@@ -39,8 +39,8 @@
 MAJOR  := 0
 MINOR  := 2
 
-#POS := $(wildcard LOCALES/*/LC_MESSAGES/*.po)
-#MOS := $(POS:%.po=%.mo)
+POS := $(wildcard LOCALES/*/LC_MESSAGES/*.po)
+MOS := $(POS:%.po=%.mo)
 
 # very rudimentary dependency checking
 DEPS := $(patsubst %.c, %.o, $(filter-out $(TARGET).c, $(wildcard *.c)))
@@ -48,7 +48,7 @@
 # exclude gnuarch files, precious files and .dotfiles
 TAR_EXCLUDED += \\{arch} .arch-ids $(wildcard ++*) $(wildcard .?*)
 
-$(TARGET): $(DEPS) $(TARGET).c
+$(TARGET): $(DEPS) $(TARGET).c $(MOS)
 	@echo Building mpc123 version $(MAJOR).$(MINOR) ...
 	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $(DEPS) $(TARGET).c
 
@@ -64,5 +64,5 @@
 	cd ../ &&\
 	tar zcf ./mpc123-$$(date "+%Y%m%d").tar.gz $(foreach f, ${TAR_EXCLUDED}, --exclude=${f}) $${OLDPWD##*/}
 
-#$(MOS): $(POS)
-#	$(foreach po, $(POS), msgfmt $(po) -o $(po:%.po=%.mo);)
+$(MOS): $(POS)
+	$(foreach po, $(POS), msgfmt $(po) -o $(po:%.po=%.mo);)
