=== debian/control ===
Source: mpc123
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               gettext,
               libao-dev,
               libmpcdec-dev (>= 2:0.1~r435)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/bucciarati/mpc123
Vcs-Browser: https://salsa.debian.org/debian/mpc123
Vcs-Git: https://salsa.debian.org/debian/mpc123.git

Package: mpc123
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: command-line Musepack audio player
 mpc123 is a command-line player for the Musepack audio compression
 format (MPC).
 .
 MPC is a lossy compression format like MP3 or Ogg Vorbis. It is
 based on the MPEG-1 Layer-2 / MP2 algorithms, but has been vastly
 improved.
 .
 Ability to play remote files is not implemented.
