=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Workaround for #957562
export DEB_CFLAGS_MAINT_APPEND = -fcommon

%:
	dh $@
