=== debian/tests/control ===
Test-Command: mpc123 -h 2>&1 | grep Usage
Restrictions: superficial

Test-Command: mpc123 -V
Restrictions: allow-stderr, superficial
